All modern computers should work fine on our platform, though we recommend having at least 1 GB of memory/RAM. We also do our best to support recent versions of the most common web browsers. Currently, these are the browsers that meet our requirements:

  • Google Chrome (newest)Note: Ubuntu users may have to install the chromium-codecs-ffmpeg-extra package to make the videos work in Chromium.
  • Firefox (23)Note: The video speed change feature for lecture watching is not yet supported in Firefox


If you are using an older browser, please try upgrading or switching to see if that improves your experience

Did this answer your question?